#!/bin/bash
#

ROK=2017
NAZEV=psani
VER=3.5.00
NAZEVV=${NAZEV}-${VER}

POM=

. ./build-aux/znacek.sh

esc="\033["
zprava()
    {
	echo -e "${esc}47;34;1m${1}${esc}0m"
	return 0
    }

echoe1()
   {
	echo -e "${esc}40;33;1m${1}${esc}0m"
   }
echoe2()
   {
	echo -e "${esc}30;32;1m${1}${esc}0m"
   }
echoe3()
   {
	echo -e "${esc}47;31m${1}${esc}0m"
   }

#------------------------------------------------------------------------------

clear
echo ""
echo -e "${esc}40;37;1mVÍTEJTE V INSTALAČNÍM PROGRAMU${esc}0m"
echo ""
echoe1 "program:\t${NAZEV}"
echoe1 "verze:\t\t${VER}"
echoe1 "rok:\t${ROK}"
echo ""
echoe1 "     Program byl odladěn  v  Debian 9, Mageia 4  a  OpenSuse 13.1/42.1"
echo ""
echoe2 "     Nyní se  nainstaluje do Vašeho  počítače  program na  výuku psaní"
echoe2 "všemi deseti. Chcete-li, aby mohli program využívat všichni uživatelé,"
echoe2 "nainstalujte  jej  do  implicitně  vybraných  adresářů. Pokud  se  tak"
echoe2 "rozhodnete učinit, musíte být přihlašen jako root."
echoe2 "     Spustitelný soubor ${NAZEVV} můžete po instalaci kdykoli"
echoe2 "přemístit, ale ostatní soubory  (lekce, testy,  napoveda) ne. Pro tyto"
echoe2 "soubory bude ve Vámi vybraném adresáři vytvořen nový adresář se jménem"
echoe2 "./${NAZEV}/${VER}/"
echo ""
echoe2 "     Pokud se Vám instalce z  nějakého důvodu nepodaří, zkuste  spustit"
echoe2 "script ./configure s přepínačem --with-posix."
echoe3 "V případě, že máte možnost vytisknout si lekce, můžete  použít přepínač" 
echoe3 "--disable-zobraz-test (pak  při   psaní testu  neuvidíte  psaný test na"
echoe3 "obrazovce - budete nuceni jej číst z papíru)"
echoe2 "Hodnoty všech možných nastavení zjistíte příkazem    ./configure --help"
echo ""
echoe1 "Instalaci můžete ukončit stiskem kláves CTRL + C"
echoe2 "V instalaci pokračuje klávesou <ENTER> ..."
echoe2 "- spustí se příkazy ./configure (s implicitními volbami) a make"
read POM

zprava "Spouštím program ./configure" &&
./configure &&
zprava "Překládám zdrojové kódy (make all)" &&
make clean && make all &&
echo "" &&
echoe2 "Program byl úspěšně přeložen."
echoe2 "Nyní spusťte jako root nebo pomocí sudo příkaz 'make install'"
echoe2 "Nastavte si na konzoli české fonty a můžete začít příkazem $NAZEV-$VER -w"
echo ""
echoe1 "Pokud vam nefunguji ceske  znaky,  zkontrolujte nastaveni locale. "
echoe1 "V souboru /etc/locale.gen odkomentujte radek cs_CZ ISO-8859-2"
echoe1 "a spustte program locale-gen."
